IBM DB2 10.5 < Fix Pack 4 Multiple Vulnerabilities

High Nessus Plugin ID 77571

Synopsis

The remote database server is affected by multiple vulnerabilities.

Description

According to its version, the installation of IBM DB2 10.5 running on the remote host is affected by the following vulnerabilities :

- An error exists related to JavaScript Object Notation (JSON-C) handling, string parsing, and the hash function that allows denial of service attacks. (CVE-2013-6371)

- A buffer overflow error exists related to handling 'ALTER MODULE' statements that could lead to server crashes or arbitrary code execution. (CVE-2014-3094)

- An error exists related to handling 'SELECT' statements having subqueries using 'UNION' that allows denial of service attacks. (CVE-2014-3095)

- An error exists related to Columnar Data Engine (CDE) tables and 'LOAD' statement handling that allows local information disclosure. (CVE-2014-4805)

Solution

Apply IBM DB2 version 10.5 Fix Pack 4 or later.

See Also

http://www-01.ibm.com/support/docview.wss?uid=swg21647054#4

http://www-01.ibm.com/support/docview.wss?uid=swg24038261

http://www-01.ibm.com/support/docview.wss?uid=swg1IT02201

http://www-01.ibm.com/support/docview.wss?uid=swg21681631

http://www-01.ibm.com/support/docview.wss?uid=swg1IT02433

https://www-304.ibm.com/support/docview.wss?uid=swg21681723

Plugin Details

Severity: High

ID: 77571

File Name: db2_105fp4.nasl

Version: 1.7

Type: remote

Family: Databases

Published: 2014/09/09

Updated: 2018/07/06

Dependencies: 22016

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 8.5

Temporal Score: 6.3

Vector: CVSS2#AV:N/AC:M/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:ibm:db2

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/08/29

Vulnerability Publication Date: 2014/04/09

Reference Information

CVE: CVE-2013-6371, CVE-2014-3094, CVE-2014-3095, CVE-2014-4805

BID: 66715, 69541, 69546, 69550